package com.dong.demo013

import platform.Foundation.NSDictionary
import platform.Foundation.NSMusicDirectory
import platform.Foundation.NSMutableDictionary
import platform.Foundation.NSNotificationCenter
import platform.Foundation.NSNumber
import platform.Foundation.NSString
import platform.Foundation.numberWithBool
import platform.Foundation.setValue


actual fun pirntAllLevelHiLog() {
}

actual fun pirntSingleHiLog() {
}

actual fun pirntRandomHiLog() {
}

actual fun testArkTsToKotin() {
}

actual fun triggerANRByInfiniteLoop() {
}


actual fun os_signal_set(type: String, signalId: String, isBegin: Boolean) {
    val notificationName = "set_os_signal"
    val userInfo = NSMutableDictionary()
    userInfo.setValue(type, forKey = "text")
    userInfo.setValue(signalId, forKey = "id")
    userInfo.setValue(NSNumber.numberWithBool(isBegin), forKey = "isBegin")
    NSNotificationCenter.defaultCenter().postNotificationName(notificationName, userInfo)
}